"use strict";
cpvw_clsPreviewImages.prototype=new cpvw_clsPreview;
function cpvw_clsPreviewImages(_1,_2){
this.parentDoc=_1;
this.customSite=_2;
this.prefetchDelay=6000;
this.openDelayTime=800;
this.closeDelayTime=0;
this.actualImgUrl="";
}
cpvw_clsPreviewImages.prototype.setup=function(){
var _3=cpvw_previewHandler.getPreviewWindow();
var _4=cpvw_previewHandler.getPreviewFrame();
_4.addEventListener("DOMContentLoaded",cpvw_previewHandler,false);
_4.addEventListener("load",cpvw_previewHandler,true);
};
cpvw_clsPreviewImages.prototype.convertLinks=function(){
var _5=this.parentDoc;
this.prefetchLinks=[];
this.arrLinks=[];
var _6=this;
var _7=false;
_5.addEventListener("mouseover",function(_8){
var _9=_6.isLink(_8.target);
if(_9){
var _a=cpvw_prefHandler.getPref(cpvw_Prefs.prefImagePreviewMode);
var _b=Components.classes["@cooliris.com/piclens/manager;1"];
if(_b||!_a){
cpvw_imageDocHandler.previewOpen(_8,_9.href,_9);
}else{
cpvw_imageDocHandler.initPreviewShow(_8,_9.href,_9);
}
}
},true);
_5.addEventListener("mouseout",function(_c){
var _d=_6.isLink(_c.target);
if(_d){
cpvw_imageDocHandler.initPreviewHide(_c);
}
},true);
};
cpvw_clsPreviewImages.prototype.isLink=function(_e){
var _f=_e.ownerDocument;
var _10=0;
var _11=_e;
if(_11.nodeName.toLowerCase()=="img"){
while(_e!=_f){
if(_e.nodeName.toLowerCase()=="a"){
return _11;
}
_e=_e.parentNode;
if(_10++==10){
return null;
}
}
}
return null;
};
cpvw_clsPreviewImages.prototype.previewOpen=function(evt,_13,_14){
var _15=this;
if(!_15.parentDoc.enablePreview){
return;
}
if(cpvw_previewHandler.previewOpenMode=="direct"){
_15.openDelayTime=cpvw_Delays.OPEN_DELAY_TIME;
_15.dispDelayTime=cpvw_Delays.DISPLAY_DELAY_TIME;
_15.initPreviewShow(evt,_13,_14);
}else{
if(cpvw_previewHandler.previewOpenMode=="icon"||cpvw_previewHandler.previewOpenMode=="icon-click"){
_15.openDelayTime=500;
_15.dispDelayTime=500;
_15.clearTimer(_15.smallDivTimer);
if(_15.isShowingPreview){
_15.initPreviewShow(evt,_13,_14);
}else{
_15.showSmallDivTimer=setTimeout(function(){
_15.showSmallDiv(evt,_13,_14);
},cpvw_iconDelayController.getIconDelayTime());
}
}else{
if(cpvw_previewHandler.previewOpenMode=="click"){
_15.clearTimer(_15.hideTimer);
}else{
if(cpvw_previewHandler.previewOpenMode=="hotkey"&&evt.ctrlKey){
_15.openDelayTime=100;
_15.dispDelayTime=500;
_15.initPreviewShow(evt,_13,_14);
}
}
}
}
};
cpvw_clsPreviewImages.prototype.showSmallDiv=function(evt,_17,_18){
if(this==cpvw_docHandler){
evt=cpvw_docHandler.evt;
}
var _19=this;
if(!_19.parentDoc.enablePreview){
return;
}
var pos=_19.getElementPosition(_18);
var px,py,_1d=40;
var _1e;
if(cpvw_prefHandler.getPref(cpvw_Prefs.prefFixedIcon)){
var _1f;
if(!cpvw_jsUtils.isFF2()){
var _20=_18.getClientRects();
var _21=_20.length;
var _22=_18.ownerDocument.defaultView.pageYOffset;
var _23=_18.ownerDocument.defaultView.pageXOffset;
for(var k=0;k<_21;k++){
_1e=_20[k];
if(evt.pageY<_22+_20[k].bottom){
break;
}
}
pos.py=_22+_1e.bottom-16;
_1f=_1e.right;
}else{
if((pos.px+_18.offsetWidth)>_18.ownerDocument.defaultView.innerWidth){
var _25=_19.getIconPosition(_18);
_1f=_25.px;
pos.py=_25.py;
}else{
_1f=pos.px+_18.offsetWidth+5;
}
}
px=_1f+10;
}else{
if(!cpvw_jsUtils.isFF2()){
var _20=_18.getClientRects();
var _21=_20.length;
var _22=_18.ownerDocument.defaultView.pageYOffset;
var _23=_18.ownerDocument.defaultView.pageXOffset;
for(var k=0;k<_21;k++){
_1e=_20[k];
if(evt.pageY<_22+_20[k].bottom){
break;
}
}
pos.py=_22+_1e.bottom-16;
if(evt.pageX-_1d<(_23+_1e.left)){
if(evt.pageX+20>(_23+_1e.right)){
px=_23+_1e.right;
}else{
px=evt.pageX+_1d+20;
}
}else{
px=evt.pageX-_1d-20;
}
}else{
if(_18.offsetWidth+_18.offsetLeft>_18.ownerDocument.defaultView.innerWidth){
px=pos.px-20;
pos.py=evt.pageY;
}else{
if(evt.screenX-_1d<pos.px){
if(evt.screenX+_1d+20>pos.px+_18.offsetWidth){
px=pos.px+_18.offsetWidth;
}else{
px=evt.screenX+_1d+20;
}
}else{
px=evt.screenX-_1d-20;
}
}
}
}
pos.px=px;
if(_19.curLink==_18){
return;
}
pos.px=Math.round(pos.px);
pos.py=Math.round(pos.py);
if(this.customSite=="google_images"){
pos.px-=35;
pos.py-=5;
}
_19.removeSmallDiv(true);
if(!_19.isShowingPreview&&!_19.isShowingSmallDiv){
var _26=_19.parentDoc.createElement("img");
_26.setAttribute("src","chrome://cooliris/skin/new/mouseover.png");
_26.setAttribute("id","cpvw_smallDivTip");
_26.setAttribute("style","z-index:2147483647;border: 0px solid blue;-moz-opacity:0.20;position:absolute;width:20px;height:20px;display:block !important;");
var _27=function(){
_26.style.opacity=parseFloat(_26.style.opacity)+0.2;
if(parseFloat(_26.style.opacity)<0.9){
setTimeout(function(){
_27();
},75);
}
};
setTimeout(function(){
_27();
},50);
_26.style.left=pos.px+"px";
_26.style.top=pos.py+"px";
_19.parentDoc.body.appendChild(_26);
_19.isShowingSmallDiv=true;
_19.curLink=_18;
_26.addEventListener("mouseover",function(evt){
if(cpvw_previewHandler.previewOpenMode=="icon-click"){
return;
}
_19.clearTimer(_19.smallDivTimer);
clearTimeout(_19.smallDivRemoveTimer);
_26.style.opacity=0.9;
_19.mouseX=evt.screenX;
_19.mouseY=evt.screenY;
if(evt.altKey){
if(_17!=cpvw_stackManager.prevUrl){
cpvw_stackManager.addToStack(null,_17);
}
}else{
_19.mouseoverIconTimer=setTimeout(function(){
_19.initPreviewShow(evt,_17,_18);
},cpvw_Delays.PREVIEW_ON_ICON_DELAY);
}
},true);
_26.addEventListener("click",function(evt){
clearTimeout(_19.smallDivTimer);
clearTimeout(_19.smallDivRemoveTimer);
_26.style.opacity=0.9;
_19.mouseX=evt.screenX;
_19.mouseY=evt.screenY;
if(evt.altKey){
if(_17!=cpvw_stackManager.prevUrl){
cpvw_stackManager.addToStack(null,_17);
}
}else{
_19.initPreviewShow(evt,_17,_18);
}
},true);
_26.addEventListener("mouseout",function(evt){
clearTimeout(_19.mouseoverIconTimer);
_19.initPreviewHide(evt);
_19.removeSmallDiv();
},true);
_19.smallDivTimer=setTimeout(function(){
_19.removeSmallDiv();
},3000);
}else{
_19.initPreviewShow(evt,_17,_18);
}
};
cpvw_clsPreviewImages.prototype.initPreviewShow=function(evt,_2c,img){
this.clearTimer(this.hideTimer);
var _2e=img.parentNode.href;
this.closeDelayTime=0;
var _2f=img.getAttribute("src");
var uri=Components.classes["@mozilla.org/network/standard-url;1"].createInstance(Components.interfaces.nsIURI);
uri.spec=this.parentDoc.URL;
if(uri.host=="images.google.com"){
_2f=img.getAttribute("src");
}
var _31=cpvw_imageDocHandler.parentDoc.enablePreview;
if(!_31){
return;
}
_2e=_2e;
this.pageX=evt.pageX;
this.pageY=evt.pageY;
if(this.linkUrl==_2e&&this.isShowingPreview){
return;
}
if(cpvw_imageDocHandler.coolirisOpen){
return;
}
var _32=cpvw_previewHandler.getPreviewFrame();
if(_32.contentDocument&&_32.contentDocument.URL!="about:blank"){
this.setup();
}
this.popTimer=setTimeout(function(){
cpvw_imageDocHandler.showPreview(_2e,_2f);
},this.openDelayTime);
};
cpvw_clsPreviewImages.prototype.initPreviewHide=function(evt){
cpvw_imageDocHandler.clearTimer(cpvw_imageDocHandler.popTimer);
if(!cpvw_imageDocHandler.isShowingPreview){
return;
}
cpvw_imageDocHandler.hideTimer=setTimeout(function(){
cpvw_imageDocHandler.hidePreview();
cpvw_imageDocHandler.coolirisOpen=false;
},cpvw_Delays.CLOSE_DELAY_TIME+cpvw_imageDocHandler.closeDelayTime);
};
cpvw_clsPreviewImages.prototype.showPreview=function(_34,_35){
if(this.popTimer==null){
return;
}
this.clearTimer(this.hideTimer);
var _36,_37;
var _38="";
if(this.customSite=="google_images"){
var _39=_34.substring(_34.indexOf("?")+1,_34.length);
var _3a=_39.split("&");
for(var i=0;i<_3a.length;i++){
if(_3a[i].indexOf("imgurl")!=-1){
var _3c=_3a[i].split("=");
_38=unescape(_3c[1]);
break;
}
}
}else{
if(this.customSite=="yahoo_images"){
var _39=_34.substring(_34.indexOf("imgurl"),_34.length);
_39=unescape(_39);
var _3a=_39.split("&");
for(var i=0;i<_3a.length;i++){
if(_3a[i].indexOf("imgurl")!=-1){
var _3c=_3a[i].split("=");
_38="http://"+unescape(_3c[1]);
break;
}
}
}
}
var _3d=this;
cpvw_previewHandler.isContextMenu=false;
_37=cpvw_previewHandler.getPreviewFrame();
var _3e=_37.contentDocument;
var _3f=_3e.getElementById("divImagePreview");
if(!_3f){
_3f=_3e.createElement("div");
_3f.setAttribute("id","divImagePreview");
}
_3f.innerHTML="";
var _40=_3e.createElement("IMG");
_40.setAttribute("id","tmpImgPreview");
_40.setAttribute("src",_35);
var _41=document.getElementById("cpvw_imageFrame");
_41.setAttribute("src",_34);
var _42=_3e.createElement("IMG");
_42.setAttribute("id","imgPreview");
_42.setAttribute("style","visibility:hidden");
_42.setAttribute("src",_38);
_3e.body.appendChild(_3f);
_3f.appendChild(_40);
_3f.appendChild(_42);
_40.addEventListener("load",_3d.previewOnLoadThumbnail,true);
_42.addEventListener("load",_3d.previewOnLoadRealImg,true);
this.linkUrl=_34;
this.isShowingPreview=true;
this.parentDoc.addEventListener("click",_3d.hidePreview,true);
};
cpvw_clsPreviewImages.prototype.previewOnLoadRealImg=function(evt){
var _44=cpvw_previewHandler.getPreviewFrame();
var _45=_44.contentDocument;
cpvw_previewHandler.isLoaded=true;
var _46=_45.getElementById("tmpImgPreview");
_46.style.visibility="hidden";
_46.style.display="none";
var _47=_45.getElementById("imgPreview");
_47.style.visibility="visible";
cpvw_imageDocHandler.setPreviewDimensions(true);
cpvw_previewHandler.numPages++;
};
cpvw_clsPreviewImages.prototype.previewOnLoadThumbnail=function(evt){
var _49=cpvw_previewHandler.getPreviewFrame();
var _4a=_49.contentDocument;
var _4b=_4a.getElementById("imgPreview");
var _4c=_4a.getElementById("tmpImgPreview");
if(_4c.style.visibility!="hidden"){
_4c.style.visibility="visible";
_4c.style.display="block";
_4b.style.visibility="hidden";
cpvw_imageDocHandler.setPreviewDimensions(false);
}
};
cpvw_clsPreviewImages.prototype.hidePreview=function(){
if(cpvw_imageDocHandler.hideTimer==null){
return;
}
try{
var _4d=cpvw_previewHandler.hidePreview();
if(_4d){
cpvw_imageDocHandler.isShowingPreview=false;
}
}
catch(ex){
}
};
cpvw_clsPreviewImages.prototype.setPreviewDimensions=function(_4e){
var _4f=cpvw_previewHandler.getPreviewFrame();
var _50=_4f.contentDocument;
var doc=this.parentDoc;
var _52=document.getElementById("appcontent").boxObject.y+30;
var _53=this.pageX,_54=this.pageY;
this.dimPreview=new cpvw_previewSize();
var _55=_50.getElementById("imgPreview");
var _56=_50.getElementById("tmpImgPreview");
if(_56!=null&&_56.style.display=="none"){
_4e=true;
}
var _57=(_53<doc.body.clientWidth/2)?doc.body.clientWidth-_53-40:_53-40;
var _58=screen.availHeight-document.getElementById("appcontent").boxObject.y-120;
var _59=_55.width/_55.height;
var _5a=_59>_57/_58?_57:_58*_59;
var _5b=_59>_57/_58?_57/_59:_58;
_5a=_5a>_55.width?_55.width:_5a;
_5b=_5b>_55.height?_55.height:_5b;
this.dimPreview.width=(_4e)?_5a:_56.width*1.5;
this.dimPreview.height=(_4e)?_5b:_56.height*1.5;
this.dimPreview.top=_52+5;
if(_4e){
_55.width=_5a;
_55.height=_5b;
}else{
_56.width=this.dimPreview.width;
_56.height=this.dimPreview.height;
}
if(_53<doc.body.clientWidth/2){
this.dimPreview.left=(_53+40)<200?200:_53+40;
}else{
this.dimPreview.left=10;
}
this.dimPreview.width+=20;
this.dimPreview.height+=60;
if(this.dimPreview.width<500){
this.dimPreview.width=500;
}
var _5c=cpvw_prefHandler.getPref(cpvw_Prefs.prefPreviewFixedLoc);
if(_5c=="yes"){
var _5d=cpvw_prefHandler.getPref(cpvw_Prefs.prefPreviewLoc);
if(_5d.indexOf(",")!=-1){
this.dimPreview.left=parseInt(_5d.split(",")[0]);
this.dimPreview.top=parseInt(_5d.split(",")[1]);
}
}
cpvw_previewHandler.showPreview(this.dimPreview,this.customSite,true,true);
};
cpvw_clsContextMenu.prototype=new cpvw_clsPreview;
function cpvw_clsContextMenu(){
this.selectStr="";
this.siteType="";
this.menuType="";
this.openDelayTime=1000;
}
cpvw_clsContextMenu.prototype.initPreviewShow=function(_5e,how,evt){
cpvw_objContextMenu.clearTimer(cpvw_objContextMenu.hideTimer);
var _61=this.selectStr;
cpvw_subSearchBar.selectedText=this.selectStr;
var _62=cpvw_contextSitesTreeView.getUrl(_5e.value,_61);
this.menuType="right-click";
if(how=="click"){
var _63=cpvw_prefHandler.getPref(cpvw_Prefs.prefCMenuItems);
var _64=_63.split(",");
getBrowser().selectedTab=getBrowser().addTab(_62);
evt.stopPropagation();
return;
}
var _65=cpvw_prefHandler.getPref(cpvw_Prefs.prefPreviewEnable);
if(_65=="no"){
return;
}
if(_62==this.linkUrl&&this.isShowingPreview){
this.setPreviewDimensions();
return;
}
this.parentDoc.addEventListener("click",cpvw_objContextMenu.initPreviewHide,false);
var _63=cpvw_prefHandler.getPref(cpvw_Prefs.prefCMenuItems);
var _64=_63.split(",");
if(cpvw_jsUtils.trimWhitespace(_64[_5e.value].toString())=="cooliris"){
cpvw_previewHandler.dimPreview.width=950;
cpvw_previewHandler.dimPreview.height=675;
cpvw_previewHandler.pushpin=true;
cpvw_previewHandler.updatePushpinIcon();
cpvw_previewHandler.changeDimensions(cpvw_previewHandler.dimPreview.left,cpvw_previewHandler.dimPreview.top,cpvw_previewHandler.dimPreview.width,cpvw_previewHandler.dimPreview.height,true);
this.popTimer=setTimeout(function(){
cpvw_objContextMenu.showPreview(_62,_5e.value);
},this.openDelayTime);
}else{
this.popTimer=setTimeout(function(){
cpvw_objContextMenu.showPreview(_62,_5e.value);
},this.openDelayTime);
}
this.dispTimer=setTimeout(function(){
cpvw_objContextMenu.displayPreview();
},this.dispDelayTime);
};
cpvw_clsContextMenu.prototype.initPreviewHide=function(evt){
cpvw_objContextMenu.clearTimer(cpvw_objContextMenu.popTimer);
cpvw_objContextMenu.clearTimer(cpvw_objContextMenu.dispTimer);
if(!cpvw_objContextMenu.isShowingPreview){
return;
}
cpvw_objContextMenu.hideTimer=setTimeout(function(){
cpvw_objContextMenu.hidePreview(false);
},cpvw_Delays.CLOSE_DELAY_TIME);
};
cpvw_clsContextMenu.prototype.showPreview=function(_67,_68){
if(this.popTimer==null){
return;
}
var _69=cpvw_prefHandler.getPref(cpvw_Prefs.prefCMenuItems);
var _6a=_69.split(",");
var _6b,_6c;
this.linkUrl=_67;
this.setPreviewDimensions();
this.siteType=_68;
cpvw_previewHandler.isContextMenu=true;
_6c=cpvw_previewHandler.getPreviewFrame();
_6c.setAttribute("src",this.linkUrl);
_6c.removeEventListener("load",cpvw_previewHandler.pageLoad,true);
_6c.addEventListener("load",cpvw_previewHandler.pageLoad,true);
this.isShowingPreview=true;
};
cpvw_clsContextMenu.prototype.displayPreview=function(){
if(this.dispTimer==null){
return;
}
if(this.dimPreview==null){
this.setPreviewDimensions();
}
cpvw_previewHandler.showPreview(this.dimPreview);
cpvw_subSearchBar.showSearchBar();
};
cpvw_clsContextMenu.prototype.setPreviewDimensions=function(){
var doc=this.parentDoc;
var _6e=document.getElementById("appcontent").boxObject.y+30;
cpvw_objContextMenu.dimPreview=new cpvw_previewSize();
var _6f=document.getElementById("contentAreaContextMenu");
if(_6f.boxObject.x>doc.body.clientWidth/2){
cpvw_objContextMenu.dimPreview.left=10;
cpvw_objContextMenu.dimPreview.width=_6f.boxObject.x-20;
}else{
cpvw_objContextMenu.dimPreview.left=_6f.boxObject.x+_6f.boxObject.width+10;
cpvw_objContextMenu.dimPreview.width=(doc.body.clientWidth)-(_6f.boxObject.x+_6f.boxObject.width)-20;
}
this.dimPreview.top=_6e;
var _70=cpvw_prefHandler.getPref(cpvw_Prefs.prefPreviewFixedLoc);
if(_70=="yes"){
var _71=cpvw_prefHandler.getPref(cpvw_Prefs.prefPreviewLoc);
if(_71.indexOf(",")!=-1){
this.dimPreview.left=parseInt(_71.split(",")[0]);
this.dimPreview.top=parseInt(_71.split(",")[1]);
}
}
this.dimPreview.height=document.getElementById("appcontent").boxObject.height-45;
};
cpvw_clsContextMenu.prototype.highlightText=function(how){
var _73="";
var _74=cpvw_previewHandler.getPreviewFrame();
if(_74.contentDocument!=null&&_74.contentDocument.body!=null){
_73=cpvw_objContextMenu.selectStr;
if(_73==""){
return;
}
this.arrHighlightText=_73.split(" ");
if(this.arrHighlightText==null){
return;
}
if(how=="show"){
for(var i=0;i<this.arrHighlightText.length;i++){
this.highlightWord("#FFFF99","black",this.arrHighlightText[i],_74.contentWindow);
}
this.doneHighlight=true;
}else{
for(var i=0;i<this.arrHighlightText.length;i++){
this.removeHighlight(this.arrHighlightText[i],_74.contentWindow);
}
this.doneHighlight=false;
}
}
};
var cpvw_objContextMenu=new cpvw_clsContextMenu();

