"use strict";
var cpvw_iconDelayController={linkViewCount:0,maxDelay:2000,increment:100,thresholdCount:15,reset:function(){
var _1=cpvw_objOverlay.getContentDocument();
_1.iconDelayTime=null;
this.linkViewCount=0;
},increaseDelay:function(){
var _2=cpvw_objOverlay.getContentDocument();
if(!_2){
return;
}
if(!_2.iconDelayTime){
_2.iconDelayTime=parseInt(cpvw_prefHandler.getPref(cpvw_Prefs.prefMouseIconDelay),10);
this.linkViewCount=0;
}
this.linkViewCount++;
if(this.linkViewCount>this.thresholdCount){
if(_2.iconDelayTime<this.maxDelay){
_2.iconDelayTime+=this.increment;
}
}
},getIconDelayTime:function(){
return cpvw_prefHandler.getPref(cpvw_Prefs.prefMouseIconDelay);
}};
function cpvw_clsPreview(_3){
this.parentDoc=_3;
this.popTimer=null;
this.linkUrl="";
this.pageX=0;
this.pageY=0;
this.openDelayTime=cpvw_Delays.OPEN_DELAY_TIME;
this.closeDelayTime=0;
this.isShowingPreview=false;
this.isShowingSmallDiv=false;
this.dimPreview=null;
this.prefetchIndex=0;
this.prefetchTimer=null;
this.prefetchDelay=cpvw_Delays.PREFETCH_DELAY_TIME;
this.hideTimer=null;
this.dispDelayTime=cpvw_Delays.DISPLAY_DELAY_TIME;
this.dispTimer=null;
this.doneHighlight=false;
this.highlightTimer=null;
this.smallDivTimer=null;
this.showSmallDivTimer=null;
this.newHistory=null;
this.aIndex=0;
this.prefetchIndex=0;
this.prefetchLinks=[];
cpvw_previewHandler.customSite="";
this.hText="";
this.linkElem=null;
this.pushpin=false;
this.enablePreview=true;
this.curIndex=0;
this.arrLinks=null;
this.evt=null;
this.mouseoverIconTimer=null;
}
cpvw_clsPreview.prototype={setup:function(){
var _4=cpvw_previewHandler.getPreviewFrame();
_4.addEventListener("DOMContentLoaded",cpvw_previewHandler,false);
_4.addEventListener("load",cpvw_previewHandler,true);
_4.addEventListener("CoolPreviewsCoolirisDontShow",cpvw_previewHandler,false,true);
_4.addEventListener("CoolPreviewsCoolirisContinue",cpvw_previewHandler,false,true);
},clearTimer:function(_5){
if(_5==this.popTimer){
clearTimeout(this.popTimer);
this.popTimer=null;
}else{
if(_5==this.hideTimer){
clearTimeout(this.hideTimer);
this.hideTimer=null;
}else{
if(_5==this.dispTimer){
clearTimeout(this.dispTimer);
this.dispTimer=null;
}else{
if(_5==this.smallDivTimer){
clearTimeout(this.smallDivTimer);
this.smallDivTimer=null;
}else{
if(_5==this.showSmallDivTimer){
clearTimeout(this.showSmallDivTimer);
this.showSmallDivTimer=null;
}else{
clearTimeout(_5);
}
}
}
}
}
},convertLinks:function(){
var _6=this.parentDoc;
this.prefetchLinks=[];
this.arrLinks=[];
var _7=this;
var _8=false;
for(var i=0;i<navigator.mimeTypes.length;i++){
if(navigator.mimeTypes[i].type.toLowerCase()=="application/pdf"){
_8=true;
}
}
_6.addEventListener("mouseover",function(_a){
var _b=_7.isLink(_a.target);
if(_b){
if(!_7.checkLink(_b.href.toString(),_8)){
return;
}
cpvw_docHandler.evt=_a;
cpvw_docHandler.parentDoc=this;
_7.previewOpen(_a,_b.href,_b);
}
},true);
_6.addEventListener("mouseout",function(_c){
var _d=_7.isLink(_c.target);
if(_d){
if(!_7.checkLink(_d.href.toString(),_8)){
return;
}
cpvw_docHandler.parentDoc=this;
_7.previewClose(_c);
}
},true);
_6.addEventListener("click",function(_e){
var _f=_7.isLink(_e.target);
if(_f){
if(!_7.checkLink(_f.href.toString(),_8)){
return;
}
if(cpvw_previewHandler.previewOpenMode=="click"&&(!cpvw_docHandler.isShowingPreview||cpvw_docHandler.linkUrl!=_f.href.toString())){
cpvw_docHandler.openDelayTime=0;
cpvw_docHandler.dispDelayTime=500;
cpvw_docHandler.initPreviewShow(_e,_f.href,this);
_e.preventDefault();
_e.stopPropagation();
}else{
cpvw_docHandler.initPreviewHide(_e);
cpvw_previewHandler.hidePreview();
}
}
},true);
return;
},isLink:function(_10){
var doc=_10.ownerDocument;
var _12=0;
while(_10!=doc){
if(_10.nodeName.toLowerCase()=="a"){
return _10;
}
_10=_10.parentNode;
if(_12++==10){
return null;
}
}
return null;
},checkLink:function(_13,_14){
if(_13.indexOf("http")==-1||_13.indexOf("#")==_13.length-1||_13.toLowerCase().indexOf("logout")!=-1||_13.toLowerCase().indexOf("signin")!=-1||_13.toLowerCase().indexOf("login")!=-1||_13.toLowerCase().indexOf("signout")!=-1){
return false;
}
if(cpvw_previewHandler.customSite=="google_search"){
if(_13.indexOf("/webhp")!=-1){
return false;
}
}
if(cpvw_previewHandler.customSite=="technorati"){
if(_13.indexOf("www.technorati.com/search")!=-1||_13.indexOf("www.technorati.com/faves")!=-1){
return false;
}
}
if(cpvw_previewHandler.customSite=="delicious"){
if(_13.indexOf("delete=")!=-1){
return false;
}
}
if(_13.match(/\.(pdf)$/i)){
if(!_14){
return false;
}
}
return true;
},handleKeyPress:function(evt){
if(evt.keyCode==32){
cpvw_docHandler.openDelayTime=cpvw_Delays.OPEN_DELAY_TIME;
cpvw_docHandler.dispDelayTime=cpvw_Delays.DISPLAY_DELAY_TIME;
cpvw_docHandler.initPreviewShow(evt,href,elem);
}
},previewClose:function(evt){
var _17=this;
if(cpvw_previewHandler.previewOpenMode=="direct"){
_17.initPreviewHide(evt);
}else{
if(cpvw_previewHandler.previewOpenMode=="icon"||cpvw_previewHandler.previewOpenMode=="icon-click"){
_17.clearTimer(_17.showSmallDivTimer);
if(!_17.smallDivTimer){
_17.smallDivTimer=setTimeout(function(){
_17.removeSmallDiv();
},2000);
}
if(_17.isShowingPreview){
_17.initPreviewHide(evt);
}
}else{
if(cpvw_previewHandler.previewOpenMode=="click"){
_17.clearTimer(_17.popTimer);
_17.clearTimer(_17.dispTimer);
}else{
if(cpvw_previewHandler.previewOpenMode=="hotkey"&&evt.ctrlKey){
_17.initPreviewHide(evt);
}
}
}
}
},previewOpen:function(evt,_19,_1a){
var _1b=this;
if(!_1b.parentDoc.enablePreview){
return;
}
if(cpvw_previewHandler.previewOpenMode=="direct"){
_1b.openDelayTime=cpvw_Delays.OPEN_DELAY_TIME;
_1b.dispDelayTime=cpvw_Delays.DISPLAY_DELAY_TIME;
_1b.initPreviewShow(evt,_19,_1a);
}else{
if(cpvw_previewHandler.previewOpenMode=="icon"||cpvw_previewHandler.previewOpenMode=="icon-click"){
_1b.openDelayTime=500;
_1b.dispDelayTime=500;
_1b.clearTimer(_1b.smallDivTimer);
if(_1b.isShowingPreview){
_1b.initPreviewShow(evt,_19,_1a);
}else{
_1b.showSmallDivTimer=setTimeout(function(){
_1b.showSmallDiv(evt,_19,_1a);
},cpvw_iconDelayController.getIconDelayTime());
}
}else{
if(cpvw_previewHandler.previewOpenMode=="click"){
_1b.clearTimer(_1b.hideTimer);
}else{
if(cpvw_previewHandler.previewOpenMode=="hotkey"&&evt.ctrlKey){
_1b.openDelayTime=100;
_1b.dispDelayTime=500;
_1b.initPreviewShow(evt,_19,_1a);
}
}
}
}
},getElementPosition:function(_1c){
var _1d=0;
var _1e=0;
if(_1c){
var _1f=_1c.offsetParent;
if(_1f){
while((_1f=_1c.offsetParent)!=null){
_1d+=_1c.offsetLeft;
_1e+=_1c.offsetTop;
_1c=_1f;
}
}else{
_1d=_1c.offsetLeft;
_1e=_1c.offsetTop;
}
}
return {"px":_1d,"py":_1e};
},getIconPosition:function(_20){
var _21=this.parentDoc.createElement("span");
_21.setAttribute("id","cpvw_temporaryElement");
_21.innerHTML=" adfd";
if(_20.nodeType==1){
_20.parentNode.insertBefore(_21,_20.nextSibling);
var _22=_21.offsetLeft;
var _23=_21.offsetTop;
if(_21.offsetParent){
var _24=_21;
while(_24.offsetParent){
_22+=_24.offsetParent.offsetLeft;
_23+=_24.offsetParent.offsetTop;
_24=_24.offsetParent;
}
}
_20.parentNode.removeChild(_21);
}else{
if(_20.nodeType==3){
var _25=_20.splitText(endOffset);
_20.parentNode.insertBefore(_21,_25);
_22=_21.offsetLeft;
_23=_21.offsetTop;
if(_21.offsetParent){
var _24=_21;
while(_24.offsetParent){
_22+=_24.offsetParent.offsetLeft;
_23+=_24.offsetParent.offsetTop;
_24=_24.offsetParent;
}
}
_20.parentNode.removeChild(_21);
}
}
return {"px":_22,"py":_23};
},showSmallDiv:function(evt,_27,_28){
if(this==cpvw_docHandler){
evt=cpvw_docHandler.evt;
}
var _29=this;
if(!_29.parentDoc.enablePreview){
return;
}
var pos=_29.getElementPosition(_28);
var px,py,_2d=40;
var _2e;
if(cpvw_prefHandler.getPref(cpvw_Prefs.prefFixedIcon)){
var _2f;
if(!cpvw_jsUtils.isFF2()){
var _30=_28.getClientRects();
var _31=_30.length;
var _32=_28.ownerDocument.defaultView.pageYOffset;
var _33=_28.ownerDocument.defaultView.pageXOffset;
for(var k=0;k<_31;k++){
_2e=_30[k];
if(evt.pageY<_32+_30[k].bottom){
break;
}
}
pos.py=_32+_2e.bottom-16;
_2f=_2e.right;
}else{
if((pos.px+_28.offsetWidth)>_28.ownerDocument.defaultView.innerWidth){
var _35=_29.getIconPosition(_28);
_2f=_35.px;
pos.py=_35.py;
}else{
_2f=pos.px+_28.offsetWidth+5;
}
}
px=_2f+10;
}else{
if(!cpvw_jsUtils.isFF2()){
var _30=_28.getClientRects();
var _31=_30.length;
var _32=_28.ownerDocument.defaultView.pageYOffset;
var _33=_28.ownerDocument.defaultView.pageXOffset;
for(var k=0;k<_31;k++){
_2e=_30[k];
if(evt.pageY<_32+_30[k].bottom){
break;
}
}
pos.py=_32+_2e.bottom-16;
if(evt.pageX-_2d<(_33+_2e.left)){
if(evt.pageX+20>(_33+_2e.right)){
px=_33+_2e.right;
}else{
px=evt.pageX+_2d+20;
}
}else{
px=evt.pageX-_2d-20;
}
}else{
if(_28.offsetWidth+_28.offsetLeft>_28.ownerDocument.defaultView.innerWidth){
px=pos.px-20;
pos.py=evt.pageY;
}else{
if(evt.screenX-_2d<pos.px){
if(evt.screenX+_2d+20>pos.px+_28.offsetWidth){
px=pos.px+_28.offsetWidth;
}else{
px=evt.screenX+_2d+20;
}
}else{
px=evt.screenX-_2d-20;
}
}
}
}
pos.px=px;
if(_29.curLink==_28){
return;
}
pos.px=Math.round(pos.px);
pos.py=Math.round(pos.py);
_29.removeSmallDiv(true);
if(!_29.isShowingPreview&&!_29.isShowingSmallDiv){
var _36=_29.parentDoc.createElement("img");
_36.setAttribute("src","chrome://cooliris/skin/new/mouseover.png");
_36.setAttribute("id","cpvw_smallDivTip");
_36.setAttribute("style","z-index:2147483647;border: 0px solid blue;-moz-opacity:0.20;position:absolute;width:20px;height:20px;display:block !important;");
var _37=function(){
_36.style.opacity=parseFloat(_36.style.opacity)+0.2;
if(parseFloat(_36.style.opacity)<0.9){
setTimeout(function(){
_37();
},75);
}
};
setTimeout(function(){
_37();
},50);
_36.style.left=pos.px+"px";
_36.style.top=pos.py+"px";
_29.parentDoc.body.appendChild(_36);
_29.isShowingSmallDiv=true;
_29.curLink=_28;
_36.addEventListener("mouseover",function(evt){
if(cpvw_previewHandler.previewOpenMode=="icon-click"){
return;
}
_29.clearTimer(_29.smallDivTimer);
clearTimeout(_29.smallDivRemoveTimer);
_36.style.opacity=0.9;
_29.mouseX=evt.screenX;
_29.mouseY=evt.screenY;
if(evt.altKey){
if(_27!=cpvw_stackManager.prevUrl){
cpvw_stackManager.addToStack(null,_27);
}
}else{
_29.mouseoverIconTimer=setTimeout(function(){
_29.initPreviewShow(evt,_27,_28);
},cpvw_Delays.PREVIEW_ON_ICON_DELAY);
}
},true);
_36.addEventListener("click",function(evt){
clearTimeout(_29.smallDivTimer);
clearTimeout(_29.smallDivRemoveTimer);
_36.style.opacity=0.9;
_29.mouseX=evt.screenX;
_29.mouseY=evt.screenY;
if(evt.altKey){
if(_27!=cpvw_stackManager.prevUrl){
cpvw_stackManager.addToStack(null,_27);
}
}else{
_29.initPreviewShow(evt,_27,_28);
}
},true);
_36.addEventListener("mouseout",function(evt){
clearTimeout(_29.mouseoverIconTimer);
_29.initPreviewHide(evt);
_29.removeSmallDiv();
},true);
_29.smallDivTimer=setTimeout(function(){
_29.removeSmallDiv();
},3000);
}else{
_29.initPreviewShow(evt,_27,_28);
}
},removeSmallDiv:function(_3b){
var _3c=this;
var _3d=_3c.parentDoc.getElementById("cpvw_smallDivTip");
if(_3b){
_3c.isShowingSmallDiv=false;
cpvw_docHandler.curLink=null;
if(cpvw_imageDocHandler){
cpvw_imageDocHandler.curLink=null;
}
if(_3d!=null){
_3c.parentDoc.body.removeChild(_3d);
clearTimeout(_3c.smallDivTimer);
}
}else{
if(_3d!=null){
_3d.style.opacity=parseFloat(_3d.style.opacity)-0.1;
if(parseFloat(_3d.style.opacity)>0){
_3c.smallDivRemoveTimer=setTimeout(function(){
_3c.removeSmallDiv();
},120);
}else{
_3c.removeSmallDiv(true);
}
}
}
},initPreviewShow:function(evt,_3f,_40,_41){
this.clearTimer(this.hideTimer);
var _42=this;
cpvw_iconDelayController.reset();
var _43=cpvw_prefHandler.getPref(cpvw_Prefs.prefPreviewEnable);
if((_43=="no"||!_42.parentDoc.enablePreview)&&!_41){
return;
}
if(cpvw_previewHandler.customSite=="google_search"&&(_3f.indexOf("http://www.google.com/pagead/iclk")!=-1||_3f.indexOf("http://www.google.com/url")!=-1)){
var _44=_3f.split("&");
for(var i=0;i<_44.length;i++){
if(_44[i].indexOf("adurl=")!=-1){
_3f=_44[i].substr(6);
_3f=unescape(_3f);
}
}
}
if(cpvw_previewHandler.customSite=="yahoo_search"&&(_3f.indexOf("overture.com")!=-1)){
var _46=_3f.indexOf("yargs=");
if(_46!=-1){
_3f=_3f.substr(_46+6);
_3f=unescape(_3f);
if(_3f.indexOf("http://")==-1&&_3f.indexOf("https://")==-1){
_3f="http://"+_3f;
}
}
}
_42.loadSubSearchBar();
this.pageX=evt.pageX;
this.pageY=evt.pageY;
this.screenX=evt.screenX;
this.screenY=evt.screenY;
if(this.linkUrl==_3f&&this.isShowingPreview){
this.setPreviewDimensions();
return;
}
var _47=this.openDelayTime;
this.linkElem=_40;
this.popTimer=setTimeout(function(){
_42.showPreview(_3f);
},_47);
var _48=this.dispDelayTime;
this.dispTimer=setTimeout(function(){
_42.displayPreview();
},_48);
},openUrlInPreview:function(_49){
var _4a=this;
var _4b=this.openDelayTime;
this.popTimer=setTimeout(function(){
_4a.showPreview(_49);
},1);
var _4c=this.dispDelayTime;
this.dispTimer=setTimeout(function(){
_4a.displayPreview();
},1);
},loadSubSearchBar:function(){
var _4d="";
if(cpvw_previewHandler.customSite=="google_search"){
var _4e=this.parentDoc.getElementsByTagName("input");
for(var i=0;i<_4e.length;i++){
if(_4e[i].getAttribute("name")=="q"){
_4d=_4e[i].value;
break;
}
}
}else{
if(cpvw_previewHandler.customSite=="yahoo_search"){
var _4e=this.parentDoc.getElementsByTagName("input");
for(var i=0;i<_4e.length;i++){
if(_4e[i].getAttribute("name")=="p"){
_4d=_4e[i].value;
break;
}
}
}
}
if(_4d==""){
return;
}
cpvw_subSearchBar.selectedText=_4d;
},initPreviewHide:function(evt){
var _51=this;
_51.clearTimer(this.popTimer);
_51.clearTimer(this.dispTimer);
this.clearTimer(this.showSmallDivTimer);
if(!_51.isShowingPreview){
return;
}
_51.hideTimer=setTimeout(function(){
_51.hidePreview(false);
},cpvw_Delays.CLOSE_DELAY_TIME);
},clearHideTimer:function(){
this.clearTimer(this.hideTimer);
},showPreview:function(_52,_53){
if(this.popTimer==null){
return;
}
var _54,_55;
this.linkUrl=_52;
var _56=this;
this.setPreviewDimensions();
_55=cpvw_previewHandler.getPreviewFrame();
_54=cpvw_previewHandler.getPreviewWindow();
cpvw_previewHandler.isContextMenu=false;
_55.loadURI(this.linkUrl);
cpvw_previewHandler.isLoaded=false;
if(cpvw_previewHandler.previewOpenMode!="click"){
this.parentDoc.addEventListener("click",cpvw_previewHandler.hidePreview,true);
}
},setPreviewDimensions:function(){
var doc=this.parentDoc;
var _58=document.getElementById("appcontent").boxObject.y+30;
var _59=this.screenX,_5a=this.screenY;
this.dimPreview=new cpvw_previewSize();
this.dimPreview.top=_58;
var _5b=cpvw_prefHandler.getPref(cpvw_Prefs.prefPreviewSize);
if(_5b.indexOf(",")!=-1){
this.dimPreview.width=parseInt(_5b.split(",")[0]);
this.dimPreview.height=parseInt(_5b.split(",")[1]);
if(_59<document.getElementById("appcontent").boxObject.width/2){
this.dimPreview.left=(_59+40)<200?200:_59+40;
}else{
var _5c=getBrowser().selectedTab.getAttribute("coolirispreviews_dispStack");
this.dimPreview.left=_59-100-this.dimPreview.width;
if(this.dimPreview.left<0||(_5c=="show")){
this.dimPreview.left=10;
}
}
if(this.dimPreview.width+this.dimPreview.left>document.getElementById("appcontent").boxObject.width){
this.dimPreview.width=document.getElementById("appcontent").boxObject.width-30-this.dimPreview.left;
}
if((this.dimPreview.left<_59)&&(this.dimPreview.width+this.dimPreview.left>_59)){
this.dimPreview.width=_59-10-this.dimPreview.left;
}
if(this.dimPreview.height+30>document.getElementById("appcontent").boxObject.height){
this.dimPreview.height=document.getElementById("appcontent").boxObject.height-40;
}
}else{
if(_59<document.getElementById("appcontent").boxObject.width/2){
this.dimPreview.left=(_59+40)<200?200:_59+40;
}else{
this.dimPreview.left=10;
}
if(_59<document.getElementById("appcontent").boxObject.width/2){
this.dimPreview.width=document.getElementById("appcontent").boxObject.width-30-this.dimPreview.left;
}else{
this.dimPreview.width=_59-40;
}
this.dimPreview.height=document.getElementById("appcontent").boxObject.height-30;
}
var _5d=cpvw_prefHandler.getPref(cpvw_Prefs.prefPreviewFixedLoc);
if(_5d=="yes"){
var _5e=cpvw_prefHandler.getPref(cpvw_Prefs.prefPreviewLoc);
if(_5e.indexOf(",")!=-1){
this.dimPreview.left=parseInt(_5e.split(",")[0]);
this.dimPreview.top=parseInt(_5e.split(",")[1]);
if(this.dimPreview.top==0||this.dimPreview.top<0){
this.dimPreview.top=_58;
}
}
if(_5b.indexOf(",")!=-1){
this.dimPreview.width=parseInt(_5b.split(",")[0]);
this.dimPreview.height=parseInt(_5b.split(",")[1]);
}
}
this.dimPreview.mouseX=_59;
this.dimPreview.mouseY=_5a;
if(cpvw_previewHandler.customSite=="youtube_video"){
var _5f=cpvw_previewHandler.getPreviewFrame();
_5f.markupDocumentViewer.fullZoom=1;
this.dimPreview.width=656;
this.dimPreview.height=474;
}
},hidePreview:function(_60){
if(this.hideTimer==null){
return;
}
try{
var _61=cpvw_previewHandler.hidePreview();
if(_61){
if(this.linkElem!=null){
this.linkElem.setAttribute("style","color:brown;");
}
this.isShowingPreview=false;
}
}
catch(ex){
}
},displayPreview:function(){
var _62=cpvw_objOverlay.getContentDocument();
if(_62==null||cpvw_docHandler==null){
return;
}
if(this.dispTimer==null){
return;
}
this.isShowingPreview=true;
cpvw_previewHandler.showPreview(this.dimPreview,cpvw_previewHandler.customSite);
cpvw_subSearchBar.showSearchBar();
if(this.linkElem!=null){
this.linkElem.style.color="orange";
}
},showImages:function(){
var _63=cpvw_previewHandler.getPreviewFrame();
var _64=_63.contentDocument.images;
for(var i=0;i<_64.length;i++){
_64[i].setAttribute("src",_64[i].src);
}
},previewOnLoad:function(evt){
var _67=this;
var _68=cpvw_previewHandler.getPreviewFrame();
cpvw_previewHandler.isLoaded=true;
var _69=cpvw_prefHandler.getPrefJson(cpvw_Prefs.jsonPrefZoom);
if(_69.zoomSetting=="browser"){
if(_68.markupDocumentViewer!=null){
setTimeout(function(){
_68.markupDocumentViewer.textZoom=cpvw.get("content").markupDocumentViewer.textZoom;
_68.markupDocumentViewer.fullZoom=cpvw.get("content").markupDocumentViewer.fullZoom;
},100);
}
}else{
if(_69.zoomSetting=="previews"){
if(_69.zoomType=="text"){
_68.markupDocumentViewer.textZoom=_69.zoomTextSize;
}else{
if(_69.zoomType=="full"){
_68.markupDocumentViewer.fullZoom=_69.zoomFullSize;
}
}
}else{
if(_69.zoomSetting=="autofit"){
if(_68.contentDocument.defaultView.scrollMaxX>0){
_68.markupDocumentViewer.fullZoom=(cpvw_previewHandler.dimPreview.width-50)/(cpvw_previewHandler.dimPreview.width+_68.contentDocument.defaultView.scrollMaxX);
}
}
}
}
if(cpvw_previewHandler.customSite=="youtube_video"){
var _68=cpvw_previewHandler.getPreviewFrame();
_68.markupDocumentViewer.fullZoom=1;
}
this.doneHighlight=false;
},highlightText:function(how){
var _6b="";
var _6c=cpvw_previewHandler.getPreviewFrame();
if(_6c.contentDocument!=null&&_6c.contentDocument.body!=null){
if(cpvw_previewHandler.customSite=="google_search"){
var _6d=this.parentDoc.getElementsByTagName("input");
for(var i=0;i<_6d.length;i++){
if(_6d[i].getAttribute("name")=="q"){
_6b=_6d[i].value;
break;
}
}
}else{
if(cpvw_previewHandler.customSite=="yahoo_search"){
var _6d=this.parentDoc.getElementsByTagName("input");
for(var i=0;i<_6d.length;i++){
if(_6d[i].getAttribute("name")=="p"){
_6b=_6d[i].value;
break;
}
}
}
}
if(_6b==""){
return;
}
this.arrHighlightText=_6b.split(" ");
if(this.arrHighlightText==null){
return;
}
if(how=="show"){
for(var i=0;i<this.arrHighlightText.length;i++){
this.highlightWord("#FFFF99","black",this.arrHighlightText[i],_6c.contentWindow);
}
this.doneHighlight=true;
}else{
for(var i=0;i<this.arrHighlightText.length;i++){
this.removeHighlight(this.arrHighlightText[i],_6c.contentWindow);
}
this.doneHighlight=false;
}
}
},removeHighlight:function(_6f,win){
var _71=false;
for(var i=0;win.frames&&i<win.frames.length;i++){
if(this.removeHighlight(aHighBackColor,aHighTextColor,_6f,win.frames[i])){
_71=true;
}
}
var doc=win.document;
if(!doc||!(doc instanceof HTMLDocument)){
return _71;
}
var _74=doc.body;
var _75=_74.childNodes.length;
this._searchRange=doc.createRange();
this._startPt=doc.createRange();
this._endPt=doc.createRange();
this._searchRange.setStart(_74,0);
this._searchRange.setEnd(_74,_75);
this._startPt.setStart(_74,0);
this._startPt.setEnd(_74,0);
this._endPt.setStart(_74,_75);
this._endPt.setEnd(_74,_75);
var _76=null;
var _77=Components.classes["@mozilla.org/embedcomp/rangefind;1"].createInstance(Components.interfaces.nsIFind);
while((_76=_77.Find(_6f,this._searchRange,this._startPt,this._endPt))){
var _78=_76.startContainer;
var _79=null;
try{
_79=_78.parentNode;
}
catch(ex){
}
if(_79&&_79.className=="__cooliris-search"){
var _7a=null;
var _7b=doc.createDocumentFragment();
var _7c=_79.nextSibling;
var _7d=_79.parentNode;
while((_7a=_79.firstChild)){
_7b.appendChild(_7a);
}
this._startPt=doc.createRange();
this._startPt.setStartAfter(_79);
_7d.removeChild(_79);
_7d.insertBefore(_7b,_7c);
_7d.normalize();
}else{
this._startPt=doc.createRange();
this._startPt.setStart(_76.endContainer,_76.endOffset);
}
this._startPt.collapse(true);
}
},highlightWord:function(_7e,_7f,_80,win){
var _82=false;
for(var i=0;win.frames&&i<win.frames.length;i++){
if(this.highlightWord(_7e,_7f,_80,win.frames[i])){
_82=true;
}
}
var doc=win.document;
if(!doc||!(doc instanceof HTMLDocument)){
return _82;
}
var _85=doc.body;
var _86=_85.childNodes.length;
this._searchRange=doc.createRange();
this._startPt=doc.createRange();
this._endPt=doc.createRange();
this._searchRange.setStart(_85,0);
this._searchRange.setEnd(_85,_86);
this._startPt.setStart(_85,0);
this._startPt.setEnd(_85,0);
this._endPt.setStart(_85,_86);
this._endPt.setEnd(_85,_86);
var _87=doc.createElementNS("http://www.w3.org/1999/xhtml","span");
_87.style.backgroundColor=_7e;
_87.style.color=_7f;
_87.style.display="inline";
_87.style.fontSize="inherit";
_87.style.padding="0";
_87.className="__cooliris-search";
return this.changeText(_80,_87)||_82;
},changeText:function(_88,_89){
var _8a=null;
var _8b=Components.classes["@mozilla.org/embedcomp/rangefind;1"].createInstance().QueryInterface(Components.interfaces.nsIFind);
var _8c=false;
while((_8a=_8b.Find(_88,this._searchRange,this._startPt,this._endPt))){
var _8d=_89.cloneNode(true);
var _8e=this.highlight(_8a,_8d);
this._startPt=_8e.ownerDocument.createRange();
this._startPt.setStart(_8e,_8e.childNodes.length);
this._startPt.setEnd(_8e,_8e.childNodes.length);
_8c=true;
}
return _8c;
},highlight:function(_8f,_90){
var _91=_8f.startContainer;
var _92=_8f.startOffset;
var _93=_8f.endOffset;
var _94=_8f.extractContents();
var _95=_91.splitText(_92);
var _96=_95.parentNode;
_90.appendChild(_94);
_96.insertBefore(_90,_95);
return _90;
},};

