// interfaces we support
Components.utils.import("resource://gre/modules/XPCOMUtils.jsm");

function CoolPreviewsService()
{
	this.uninstallPageDisplayed = false;	
	this.siteDom = null;
	this.wrappedJSObject = this;
	this.addonVersion = null;
	var self = this;	
	if (XPCOMUtils.generateNSGetFactory)
	{
		Components.utils.import("resource://gre/modules/AddonManager.jsm");
		AddonManager.getAddonByID("{CE6E6E3B-84DD-4cac-9F63-8D2AE4F30A4B}", function(addon) {
		  self.addonVersion = addon.version;
		});			
	}
	else
	{
		var em = Components.classes["@mozilla.org/extensions/manager;1"]
				.getService(Components.interfaces.nsIExtensionManager);

		var addon = em.getItemForID("{CE6E6E3B-84DD-4cac-9F63-8D2AE4F30A4B}");
		this.addonVersion = addon.version;
	}
	
}
CoolPreviewsService.prototype = {
	QueryInterface : XPCOMUtils.generateQI(
       [Components.interfaces.nsISupports]),
	
	classDescription: "CoolPreviews",
    classID:          Components.ID("{2d7da437-2912-45be-88f7-0107ccdfddb1}"),
    contractID:       "@cooliris.com/CoolPreviews;1",
	_xpcom_categories: [{service: true}]
	
};

if (XPCOMUtils.generateNSGetFactory)
    var NSGetFactory = XPCOMUtils.generateNSGetFactory([CoolPreviewsService]);
else
    var NSGetModule = XPCOMUtils.generateNSGetModule([CoolPreviewsService]);
